Bug 1171302

Summary: Review Request: nodejs-sentence-case - Sentence case a string
Product: [Fedora] Fedora Reporter: Piotr Popieluch <piotr1212>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nodejs-sentence-case-1.1.0-1.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-12-27 00:59:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1171263    
Bug Blocks: 1171306, 1171314, 1171320, 1171327, 1171334, 1171335, 1171341, 1171345, 1171350    

Description Piotr Popieluch 2014-12-05 20:59:00 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-sentence-case.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-sentence-case-1.1.0-1.fc21.src.rpm
Description: Sentence case a string
Fedora Account System Username: piotrp

Comment 1 Parag AN(पराग) 2014-12-11 06:47:05 UTC
Review:

+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-sentence-case.noarch: W: spelling-error %description -l en_US toString -> to String, to-string, stringing
nodejs-sentence-case.noarch: W: spelling-error %description -l en_US booleans -> boo leans, boo-leans, Boolean
nodejs-sentence-case.noarch: W: only-non-binary-in-usr-lib
nodejs-sentence-case.src: W: spelling-error %description -l en_US toString -> to String, to-string, stringing
nodejs-sentence-case.src: W: spelling-error %description -l en_US booleans -> boo leans, boo-leans, Boolean
2 packages and 0 specfiles checked; 0 errors, 5 warnings.


+ Source verified with upstream as (sha256sum)
srpm tarball: f7c7f59d23e23ce403f5b17b42c5a849a44ce56390887bdfdeb7547ab8000a6d
upstream tarball:  f7c7f59d23e23ce403f5b17b42c5a849a44ce56390887bdfdeb7547ab8000a6d

+ License is "MIT" and included in its own LICENSE file.

+ follows nodejs packaging guidelines.

Suggestions:
1) Remove Group tag

1) To run tests you should
BuildRequires:  npm(mocha)
BuildRequires:  npm(chai)


APPROVED.

Comment 2 Parag AN(पराग) 2014-12-11 06:49:53 UTC
and don't forget to update all packages to use istanbul-js instead istanbul including this.

Comment 3 Piotr Popieluch 2014-12-11 06:56:17 UTC
thank you.

I will update all nodejs-*-case packages tomorrow.

Comment 4 Piotr Popieluch 2014-12-11 06:59:22 UTC
New Package SCM Request
=======================
Package Name: nodejs-sentence-case
Short Description: Sentence case a string
Upstream URL: https://github.com/blakeembrey/sentence-case
Owners: piotrp
Branches: f20 f21 el6 epel7

Comment 5 Piotr Popieluch 2014-12-11 16:39:50 UTC
Parag

I've updated & uploaded all my nodejs-*case* packages:
- deleted group tag
- replaced istanbul with istanbul-js

I didn't bump the version numbers.

I expect some BuildRequires still not to be correct. I will mock build them all tomorrow to check if they are ok.

handlebars is updated in rawhide, haven't check yet if it works now.

Comment 6 Gwyn Ciesla 2014-12-12 14:08:57 UTC
Git done (by process-git-requests).

Comment 7 Parag AN(पराग) 2014-12-19 13:12:45 UTC
Is this built already in Fedora?

Comment 8 Piotr Popieluch 2014-12-19 13:23:56 UTC
It is in rawhide. 

Build fails on other branches as it depends on handlebars which is still in testing. Tried to make an override for handlebars but don't have the right permissions as that is not my module.

Comment 9 Parag AN(पराग) 2014-12-19 13:45:28 UTC
No problem. Being provenpackager, I have the rights to add builds to override. I have added it for el7, f20, f21 releases for next 7 days. you can try building this package after one hour successfully.

Comment 10 Fedora Update System 2014-12-19 15:53:04 UTC
nodejs-sentence-case-1.1.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-sentence-case-1.1.0-1.fc21

Comment 11 Fedora Update System 2014-12-19 16:04:36 UTC
nodejs-sentence-case-1.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-sentence-case-1.1.0-1.fc20

Comment 12 Fedora Update System 2014-12-20 08:41:33 UTC
nodejs-sentence-case-1.1.0-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 13 Piotr Popieluch 2014-12-27 00:59:26 UTC
package built, closing.

Comment 14 Fedora Update System 2014-12-29 10:05:14 UTC
nodejs-sentence-case-1.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 15 Fedora Update System 2014-12-29 10:06:34 UTC
nodejs-sentence-case-1.1.0-1.fc21 has been pushed to the Fedora 21 stable repository.